diff mbox

[i-g-t,5/5] igt_command_line.sh: Test subtest documentation flag handling

Message ID 1502360811-31640-6-git-send-email-petri.latvala@intel.com (mailing list archive)
State New, archived
Headers show

Commit Message

Petri Latvala Aug. 10, 2017, 10:26 a.m. UTC
Signed-off-by: Petri Latvala <petri.latvala@intel.com>
---
 tests/igt_command_line.sh | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

Comments

Vinay Belgaumkar Aug. 10, 2017, 11:09 p.m. UTC | #1
On 8/10/2017 3:26 AM, Petri Latvala wrote:
> Signed-off-by: Petri Latvala <petri.latvala@intel.com>
> ---
>   tests/igt_command_line.sh | 12 +++++++++++-
>   1 file changed, 11 insertions(+), 1 deletion(-)
>
> diff --git a/tests/igt_command_line.sh b/tests/igt_command_line.sh
> index 7f80fc8..b3a794c 100755
> --- a/tests/igt_command_line.sh
> +++ b/tests/igt_command_line.sh
> @@ -102,7 +102,17 @@ for test in $TESTLIST; do
>   		fi
>   	fi
>   
> +	# check --document-all-subtests handling
> +	echo "  Checking subtest documentation..."
> +	DOCS=`./$test --document-all-subtests`
> +	RET=$?
> +
> +	if [ $RET -ne 0 -a $RET -ne 79 ]; then
> +		fail $test
> +	fi
> +
>   	# check invalid subtest handling
>   	echo "  Checking invalid subtest handling..."
> -	./$test --run-subtest invalid-subtest > /dev/null 2>&1 && fail $test
> +	./$test --run-subtest invalid-subtest > /dev/null 2>&1 && fail "$test --run-subtest invalid"
> +	./$test --document-subtest invalid-subtest > /dev/null 2>&1 && fail "$test --document-subtest invalid"
>   done

Reviewed-by: Vinay Belgaumkar <vinay.belgaumkar@intel.com>
diff mbox

Patch

diff --git a/tests/igt_command_line.sh b/tests/igt_command_line.sh
index 7f80fc8..b3a794c 100755
--- a/tests/igt_command_line.sh
+++ b/tests/igt_command_line.sh
@@ -102,7 +102,17 @@  for test in $TESTLIST; do
 		fi
 	fi
 
+	# check --document-all-subtests handling
+	echo "  Checking subtest documentation..."
+	DOCS=`./$test --document-all-subtests`
+	RET=$?
+
+	if [ $RET -ne 0 -a $RET -ne 79 ]; then
+		fail $test
+	fi
+
 	# check invalid subtest handling
 	echo "  Checking invalid subtest handling..."
-	./$test --run-subtest invalid-subtest > /dev/null 2>&1 && fail $test
+	./$test --run-subtest invalid-subtest > /dev/null 2>&1 && fail "$test --run-subtest invalid"
+	./$test --document-subtest invalid-subtest > /dev/null 2>&1 && fail "$test --document-subtest invalid"
 done